VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
VST3EditorDelegate Class Reference

Default adapter implementation for IVST3EditorDelegate. More...

Inheritance diagram for VST3EditorDelegate:

## Public Member Functions
CView * | createCustomView (UTF8StringPtr name, const UIAttributes &attributes, const IUIDescription *description, VST3Editor *editor) override
| create a custom view
CView * | verifyView (CView *view, const UIAttributes &attributes, const IUIDescription *description, VST3Editor *editor) override
| verify a view after it was created
bool | findParameter (const CPoint &pos, Steinberg::Vst::ParamID &paramID, VST3Editor *editor) override
| find a parameter
bool | isPrivateParameter (const Steinberg::Vst::ParamID paramID) override
| check if parameter ID is private and should not be exposed to the host
void | didOpen (VST3Editor *editor) override
| called after the editor was opened
void | willClose (VST3Editor *editor) override
| called before the editor will close
COptionMenu * | createContextMenu (const CPoint &pos, VST3Editor *editor) override
| create the context menu for the editor, will be added to the host menu
IController * | createSubController (UTF8StringPtr name, const IUIDescription *description, VST3Editor *editor) override
| called when a sub controller should be created.
void | onZoomChanged (VST3Editor *editor, double newZoom) override
| called when the user zoom factor of the editor was changed
Public Member Functions inherited from IVST3EditorDelegate
virtual | ~IVST3EditorDelegate ()=default

## Detailed Description

Default adapter implementation for IVST3EditorDelegate.

## Member Function Documentation

COptionMenu* createContextMenu | ( | const CPoint & | pos,
|  | VST3Editor * | editor
| ) |  |
| inline override virtual

create the context menu for the editor, will be added to the host menu

Implements IVST3EditorDelegate.

CView* createCustomView | ( | UTF8StringPtr | name,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description,
|  | VST3Editor * | editor
| ) |  |
| inline override virtual

create a custom view

Implements IVST3EditorDelegate.

IController* createSubController | ( | UTF8StringPtr | name,
|  | const IUIDescription * | description,
|  | VST3Editor * | editor
| ) |  |
| inline override virtual

called when a sub controller should be created.

The controller is now owned by the editor, which will call forget() if it is a CBaseObject, release() if it is a Steinberg::FObject or it will be simply deleted if the frame gets closed.

Implements IVST3EditorDelegate.

void didOpen | ( | VST3Editor * | editor | ) |
| inline override virtual

called after the editor was opened

Implements IVST3EditorDelegate.

bool findParameter | ( | const CPoint & | pos,
|  | Steinberg::Vst::ParamID & | paramID,
|  | VST3Editor * | editor
| ) |  |
| inline override virtual

find a parameter

Implements IVST3EditorDelegate.

bool isPrivateParameter | ( | const Steinberg::Vst::ParamID | paramID | ) |
| inline override virtual

check if parameter ID is private and should not be exposed to the host

Implements IVST3EditorDelegate.

void onZoomChanged | ( | VST3Editor * | editor,
|  | double | newZoom
| ) |  |
| inline override virtual

called when the user zoom factor of the editor was changed

Implements IVST3EditorDelegate.

CView* verifyView | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description,
|  | VST3Editor * | editor
| ) |  |
| inline override virtual

verify a view after it was created

Implements IVST3EditorDelegate.

void willClose | ( | VST3Editor * | editor | ) |
| inline override virtual

called before the editor will close

Implements IVST3EditorDelegate.

The documentation for this class was generated from the following file:

- vst3editor.h